LibreOffice LibreOffice 5.3 SDK API Reference

Exported Interfaces | Public Attributes | List of all members
ConditionFormatEntry Service Reference

`import"ConditionFormatEntry.idl";`

Inheritance diagram for ConditionFormatEntry:

## Exported Interfaces
interface | XConditionEntry

## Public Attributes
long | Operator
| See com.sun.star.sheet.ConditionFormatOperator for valid values. More...
string | StyleName
string | Formula1
string | Formula2

## Additional Inherited Members
Public Member Functions inherited from XConditionEntry
long | getType ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Exported Interfaces

## ◆ XConditionEntry

interface XConditionEntry

## Member Data Documentation

## ◆ Formula1

string Formula1
| optional property

## ◆ Formula2

string Formula2
| optional property

## ◆ Operator

long Operator
| property

See com.sun.star.sheet.ConditionFormatOperator for valid values.

## ◆ StyleName

string StyleName
| property

The documentation for this service was generated from the following file:

- com/sun/star/sheet/ConditionFormatEntry.idl